# 🐳 Docker

Docker is the recommended deployment method for EcoDash. It allows to run on different architectures and operating systems without hassle.

Pre-built Docker containers are offered for Linux on ARM and x86_64. If you're not on a supported architecture or operating system, please check the [Building the container](https://git.massivebox.net/ecodash/ecodash/src/branch/master/BUILD.md) guide.

## With Docker command-line

```
docker run -v /absolute_path_to/config.json:/app/config.json -v /absolute_path_to/database.db:/app/database.db --name ecodash -p 8080:80 git.massivebox.net/ecodash/ecodash 
```

This will open the container on port 8080. Replace "8080" in the command with whatever number you want to open that specific port.

## With Docker Compose

Create a file `docker-compose.yml` with the following content:

```
version: '3'
services:
  ecodash:
    container_name: ecodash
    image: git.massivebox.net/ecodash/ecodash
    ports:
      - '8080:80'
    volumes:
      - ./config.json:/app/config.json
      - ./database.db:/app/database.db
    restart: always
```

Run the container with

```
docker compose up -d
```

This will open the container on port 8080. Replace "8080" in the file with whatever number you want to open that specific port.

## Get notified about new releases

Since EcoDash doesn't have any way to notify admins of new releases, you're encouraged to add our repository's feed into your RSS reader: https://git.massivebox.net/ecodash/ecodash.rss



